Subject: Re: [bug#54434] [PATCH 0/6] XFCE Updates

From: Brendan Tildesley <[email-masked]>
Date: Mon, 4 Apr 2022 13:53:41 +1000

On 4/4/22 12:56 pm, Feng Shu wrote:
> Brendan Tildesley <[email-masked]> writes:
>
>> On 3/4/22 8:33 pm, Ludovic Courtès wrote:
>>> [...]
>>> One problem is that this won’t work for those using Guix Home, where the
>>> default profile is ~/.guix-home/profile.
>>>
>>> Can this extra variable be avoided?  Or could it be handled by a search
>>> path specification?
>> It's xfce4-panel that needs the search path to load .so files for
>> panel plugins.
>> xfce4-panel already has the search-path set to load them, but since
>> its installed
>> to the system profile,it does not load the user installed plugins. If
>> xfce4-panel
>> was a user installed package it may work but userswould have to
>> manually install it.
>> So I'm not sure how else to solve it.
> What happen when version of xfce4-panel installed in system profile is
> different from installed in home profile?
I think xfce4-panel will be run from $PATH so the system version will
be picked first and the user installed one will be ignored. The search
path will be set but will not work until the user logs out and back in
again, which is not ideal. I'd like a user to be able to install a plugin
and have it appear in the settings menu immediately.